Bug 3784 - (int-89522) Regional configuration is incorrect for (at least a part of) Latin America
(int-89522)
: Regional configuration is incorrect for (at least a part of) Latin America
Status: RESOLVED WONTFIX
Product: Translations
Español (América Latina)
: 5.0/(1.2009.42-11)
: All Maemo
: Low minor with 1 vote (vote)
: ---
Assigned To: unassigned
: es-mx-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-10-06 23:19 UTC by Alejandro López
Modified: 2010-06-02 11:40 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Alejandro López (reporter) 2008-10-06 23:19:22 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)
4.2008.36-5

STEPS TO REPRODUCE THE PROBLEM:
(My tables is localized in spanish, so the names might not be axeact as I'm
translating them back to english)
Control Panel > Personalization > Region and Languages.
In Regional Config. choose "Spanish (Latin America)" (or "Español (América
Latina)")

EXPECTED OUTCOME:
Decimal separatos: ,       (comma)
Thousands separator: .   (dot)

ACTUAL OUTCOME:
Decimal separatos: .       (dot)
Thousands separator: ,   (comma)

REPRODUCIBILITY:
Always


EXTRA SOFTWARE INSTALLED:
N/A

OTHER COMMENTS:
The problem arises fro the fact that Latin America is treated as a whole, while
every country is quite different. In LatAm, some countries decided to go the
USA way (sorry, I don't know which exactly) and use the dot as decimal
separator and comma as thousands separtor (3,456.78), but others remained in
the old spanish way (exactly the opposite - dot for thousands and comma for
decimals: 3.456,78).

To make thing more complex, the RAE (Real Academia Española - the body
"controlling" the spanish language) has decided to replace the dot as thousand
separator by a white space (3 456,78).

This link explains everything... but it's in spanish:
http://buscon.rae.es/dpdI/SrvltGUIBusDPD?origen=RAE&lema=punto
(feel free to contact me for a translation.)

My opinions is that, if Latin America is to be treated as a whole, then Maemo
should stick to what the RAE says. English-oriented Latin-American countries
can always set the Regional Config to "English (USA)."

User-Agent:       Opera/9.52 (X11; Linux i686; U; en)
Comment 2 Andre Klapper maemo.org 2009-02-02 16:26:23 UTC
This might be a bug in glibc according to developers - need to investigate
further...
Comment 3 Andre Klapper maemo.org 2009-04-23 15:21:47 UTC
Still valid in Fremantle.
Comment 4 Rodrigo Linfati 2009-12-16 00:07:19 UTC
Repro On SOFTWARE VERSION: 1.2009.42-11

es_MX (and es_CL and es_AR and ... ) use DOT for Thousands separator and COMMA
for Decimal separator
Comment 5 Andre Klapper maemo.org 2010-06-02 11:40:59 UTC
This is currently a WONTFIX for Nokia.